Skip to content

Get API tokens.

GET
/backend/v1/tokens

Retrieves a list of tokens matching the given filter criteria,
with the option to adjust the limit for more results.
The token values are obfuscated.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Query Parameters

cursor

Selects page for paginated results. Pass in the next or prev attribute in the response.

machine

If true returns only machine tokens, if false doesn't return machine tokens.

Type
boolean
Default
false
projectId

If set to the Id of a user group and machine=True, returns machine tokens for only that specific user group. Has no effect if machine=False.

limit

Limits the amount of returned objects. Max 100, min 1.

Type
integer
Default
10
Maximum
100
Minimum
1

Responses

Successful Response

application/json
JSON
{
  
"next": "string",
  
"prev": "string",
  
"tokens": [
  
  
{
  
  
  
"expiresAt": "string",
  
  
  
"id": "string",
  
  
  
"machine": true,
  
  
  
"name": "string",
  
  
  
"projectId": "string",
  
  
  
"userId": "string",
  
  
  
"value": "string"
  
  
}
  
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: